We're updating the issue view to help you get more done. 

module_deps.js cannot compute inputs for ES6 sources

Description

Currently module_deps.js cannot follow requires for ES6 sources because it expects that it will parse CommonJS. module-deps supports transforms prior to CommonJS require resolution for this specific reason. We should leverage this functionality. A good benchmark is if we can compile Google's fully Closure compatible Material Components project without issue.

Environment

None

Status

Assignee

David Nolen

Reporter

David Nolen

Labels

Approval

Accepted

Patch

Code and Test

Fix versions

Affects versions

1.9.854

Priority

Major